<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\SubTypes\F900;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypesPF3_1 {
    public $name = "spc";

    public $templateColumns = [
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "code_feature",
            'position' => 5,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "sub_type",
            'position' => 9,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "date_start",
            'position' => 12,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "date_end",
            'position' => 20,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "tp_oper",
            'position' => 28,
            'size' => 1,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "num_con",
            'position' => 29,
            'size' => 30,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "value_deb",
            'position' => 59,
            'size' => 15,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "filler_1",
            'position' => 74,
            'size' => 42,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];
}